> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Monthly Invoice Group Summaries

> Groups the org's invoice payments by invoice month into summaries.

Required scope: `payments:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-monthly-invoice-group-summaries
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-monthly-invoice-group-summaries:
    get:
      operationId: getMonthlyInvoiceGroupSummaries
      summary: Get Monthly Invoice Group Summaries
      x-toku-required-scope: payments:read
      description: |-
        Groups the org's invoice payments by invoice month into summaries.

        Required scope: `payments:read`
      parameters:
        - name: orgID
          in: query
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMonthlyInvoiceGroupSummariesResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetMonthlyInvoiceGroupSummariesResponse:
      type: object
      properties:
        summaries:
          type: array
          items:
            type: object
            properties:
              month:
                type: string
              monthName:
                type: string
              totalAmount:
                type: number
              pendingCount:
                type: integer
              completedCount:
                type: integer
              failedCount:
                type: integer
              invoiceCount:
                type: integer
              currencyCode:
                type: string
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
